<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ProcessForkOptions (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ProcessForkOptions (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/process/ProcessForkOptions.html" target="_top">Frames</a></li>
<li><a href="ProcessForkOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.process</div>
<h2 title="Interface ProcessForkOptions" class="title">Interface ProcessForkOptions</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a>, <a href="../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a>, <a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>, <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/gradle/api/tasks/AbstractExecTask.html" title="class in org.gradle.api.tasks">AbstractExecTask</a>, <a href="../../../org/gradle/api/tasks/Exec.html" title="class in org.gradle.api.tasks">Exec</a>, <a href="../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a>, <a href="../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html" title="class in org.gradle.plugins.javascript.rhino">RhinoShellExec</a>, <a href="../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" title="class in org.gradle.nativeplatform.test.tasks">RunTestExecutable</a>, <a href="../../../org/gradle/api/tasks/testing/Test.html" title="class in org.gradle.api.tasks.testing">Test</a>, <a href="../../../org/gradle/nativeplatform/test/xctest/tasks/XcTest.html" title="class in org.gradle.nativeplatform.test.xctest.tasks">XcTest</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ProcessForkOptions</span></pre>
<div class="block"><p>Specifies the options to use to fork a process.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a></strong>(<a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;options)</code>
<div class="block">Copies these options to the given target options.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#environment(java.util.Map)">environment</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</code>
<div class="block">Adds some environment variables to the environment for this process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#environment(java.lang.String,%20java.lang.Object)">environment</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Adds an environment variable to the environment for this process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#executable(java.lang.Object)">executable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</code>
<div class="block">Sets the name of the executable to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#getEnvironment()">getEnvironment</a></strong>()</code>
<div class="block">The environment variables to use for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#getExecutable()">getExecutable</a></strong>()</code>
<div class="block">Returns the name of the executable to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#getWorkingDir()">getWorkingDir</a></strong>()</code>
<div class="block">Returns the working directory for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#setEnvironment(java.util.Map)">setEnvironment</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</code>
<div class="block">Sets the environment variable to use for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.Object)">setExecutable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</code>
<div class="block">Sets the name of the executable to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.String)">setExecutable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;executable)</code>
<div class="block">Sets the name of the executable to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.io.File)">setWorkingDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</code>
<div class="block">Sets the working directory for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.lang.Object)">setWorkingDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</code>
<div class="block">Sets the working directory for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/ProcessForkOptions.html#workingDir(java.lang.Object)">workingDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</code>
<div class="block">Sets the working directory for the process.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExecutable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutable</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExecutable()</pre>
<div class="block">Returns the name of the executable to use.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The executable.</dd></dl>
</li>
</ul>
<a name="setExecutable(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutable</h4>
<pre>void&nbsp;setExecutable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;executable)</pre>
<div class="block">Sets the name of the executable to use.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - The executable. Must not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setExecutable(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutable</h4>
<pre>void&nbsp;setExecutable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</pre>
<div class="block">Sets the name of the executable to use.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - The executable. Must not be null.</dd></dl>
</li>
</ul>
<a name="executable(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executable</h4>
<pre><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;executable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</pre>
<div class="block">Sets the name of the executable to use.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - The executable. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getWorkingDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorkingDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getWorkingDir()</pre>
<div class="block">Returns the working directory for the process. Defaults to the project directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The working directory. Never returns null.</dd></dl>
</li>
</ul>
<a name="setWorkingDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorkingDir</h4>
<pre>void&nbsp;setWorkingDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</pre>
<div class="block">Sets the working directory for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The working directory. Must not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setWorkingDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorkingDir</h4>
<pre>void&nbsp;setWorkingDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</pre>
<div class="block">Sets the working directory for the process. The supplied argument is evaluated as per <a href="../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The working directory. Must not be null.</dd></dl>
</li>
</ul>
<a name="workingDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>workingDir</h4>
<pre><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;workingDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</pre>
<div class="block">Sets the working directory for the process. The supplied argument is evaluated as per <a href="../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The working directory. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getEnvironment()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnvironment</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getEnvironment()</pre>
<div class="block">The environment variables to use for the process. Defaults to the environment of this process.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The environment. Returns an empty map when there are no environment variables.</dd></dl>
</li>
</ul>
<a name="setEnvironment(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnvironment</h4>
<pre>void&nbsp;setEnvironment(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</pre>
<div class="block">Sets the environment variable to use for the process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>environmentVariables</code> - The environment variables. Must not be null.</dd></dl>
</li>
</ul>
<a name="environment(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>environment</h4>
<pre><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;environment(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</pre>
<div class="block">Adds some environment variables to the environment for this process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>environmentVariables</code> - The environment variables. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="environment(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>environment</h4>
<pre><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;environment(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Adds an environment variable to the environment for this process.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the variable.</dd><dd><code>value</code> - The value for the variable. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="copyTo(org.gradle.process.ProcessForkOptions)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copyTo</h4>
<pre><a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;copyTo(<a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;options)</pre>
<div class="block">Copies these options to the given target options.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>options</code> - The target options</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/process/ProcessForkOptions.html" target="_top">Frames</a></li>
<li><a href="ProcessForkOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
